curl --request PATCH \
--url https://public-api.stora.co/2025-09/contacts/{contact_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"full_name": "John Doe Updated",
"email": "john-2@doe.com",
"address": {
"line_1": "456 Main St",
"line_2": null,
"city": "Kindtown",
"postal_code": "54321",
"state": null,
"country_alpha2": "GB"
},
"accounting_code": "CUST0043",
"metadata": {
"source": "updated"
}
}
'{
"contact": {
"id": "con_0ac0514ed0711462",
"accounting_code": "CUST0043",
"address": {
"city": "Kindtown",
"country_alpha2": "GB",
"line_1": "456 Main St",
"line_2": null,
"postal_code": "54321",
"state": null
},
"company_registration_number": null,
"created_at": "2025-02-20T14:41:00Z",
"email": "john-2@doe.com",
"full_name": "John Doe Updated",
"identity_check": {
"required": false,
"status": "not_attempted"
},
"marketing_source": null,
"metadata": {
"source": "updated"
},
"phone_number": null,
"source": null,
"status": "lead",
"stripe_customer_id": "cus_SqaLe6rJhviOGm",
"tax_id": null,
"tenancies_count": 0,
"type": null,
"updated_at": "2025-02-22T14:41:00Z",
"use_case": null
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Update a Contact
Update an existing contact.
Required authorization scope: public.contact:write
curl --request PATCH \
--url https://public-api.stora.co/2025-09/contacts/{contact_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"full_name": "John Doe Updated",
"email": "john-2@doe.com",
"address": {
"line_1": "456 Main St",
"line_2": null,
"city": "Kindtown",
"postal_code": "54321",
"state": null,
"country_alpha2": "GB"
},
"accounting_code": "CUST0043",
"metadata": {
"source": "updated"
}
}
'{
"contact": {
"id": "con_0ac0514ed0711462",
"accounting_code": "CUST0043",
"address": {
"city": "Kindtown",
"country_alpha2": "GB",
"line_1": "456 Main St",
"line_2": null,
"postal_code": "54321",
"state": null
},
"company_registration_number": null,
"created_at": "2025-02-20T14:41:00Z",
"email": "john-2@doe.com",
"full_name": "John Doe Updated",
"identity_check": {
"required": false,
"status": "not_attempted"
},
"marketing_source": null,
"metadata": {
"source": "updated"
},
"phone_number": null,
"source": null,
"status": "lead",
"stripe_customer_id": "cus_SqaLe6rJhviOGm",
"tax_id": null,
"tenancies_count": 0,
"type": null,
"updated_at": "2025-02-22T14:41:00Z",
"use_case": null
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Authorizations
Bearer Token necessary to use API
Path Parameters
The ID of the contact to retrieve
Body
Update Contact Request
The contact's email address
The contact's name
The contact's phone number
The contact's tax ID
30The contact's company registration number
30The type of contact
domestic, company, student, charity, local_authority, null The source of the contact data
pre_open, incomplete_booking, registered_interest, price_interest, quotation_request, booking, popup, external_enquiry, phone, walkin, import, other, null What channel did the contact find us through
used_before, recommendation, received_leaflet, seen_building_signs, seen_advert, facebook_marketplace, google_search, other_online_search, social_media, email, radio, other, null Why does the contact require storage
business_needs, moving_home, more_space, refurb, travelling, other, null The contact's account reference in your accounting software, included in invoice exports. To remove the existing code, set to null.
255Address. Set an individual field to null to clear it.
Show child attributes
Show child attributes
Set of key-value pairs for storing additional information on the contact. Learn more about metadata.
Show child attributes
Show child attributes
Was this page helpful?